Subject: [IPTEL] Re: "Otherwise" as mandatory output node

From: Jonathan Rosenberg <[email-masked]>
Date: Mon, 03 Apr 2000 17:53:53 -0400

Eber Mello wrote:
> 
> Hi Rosenberg,
> 
> Would you comment on this?
> 
> The current CPL draft (March 10/2000) states that "Otherwise" is an
> optional node on the output list of the "Switch-" nodes; we understand
> that it makes more sense to always be able to find
> a way out of a non signalling action node, meaning that a CPL script
> would be able to handle all calls given to it. It seems quite simple
> to expect a user to specify either to drop ("Reject") or forward ("Proxy")
> all other calls not handled by the other output nodes of a "Switch-" node.
> This  probably simplifies the script execution and seems safer as gives
> no room for mistakenly performing an action not meant to be executed
> (all actions are defined by the latest signalling action node visited
> vis-a-vis the latest request, response or internal event arrived).

So, you are suggesting that otherwise always be used if the set of other
possible output tags are not all present?

I'm not sure this is needed. CPL clearly specifies actions to be taken
by the server when there are no further commands to execute in the CPL.
I don't see why we need to special case the switch nodes. 

> 
> If we could go this way we could have the SIP registration define either
> "proxy", "redirect" or "script" policy for a user, meaning that this user
> either has services (policy=script) or not (policy=redirect or proxy).

Rather than this, I think the CPL transport in REGISTER should be used:
http://www.softarmor.com/sipwg/drafts/draft-lennox-sip-reg-payload-00.txt

-Jonathan R.
-- 
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (732) 741-4778
http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
http://www.dynamicsoft.com

_______________________________________________
IPTEL mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/iptel